OpenMW Daily Build PPA

Anything related to PR, release planning and any other non-technical idea how to move the project forward should be discussed here.
User avatar
Amenophis
Posts: 280
Joined: 30 Oct 2011, 04:34
Location: Fortaleza - Ceará - Brasil

Re: OpenMW Daily Build PPA

Post by Amenophis » 24 Oct 2019, 16:43

It's working again. Thank you very much!
My fixes and tweaks on vanilla and modded quests for Morrowind.
http://www.nexusmods.com/morrowind/mods/43107/?

User avatar
Amenophis
Posts: 280
Joined: 30 Oct 2011, 04:34
Location: Fortaleza - Ceará - Brasil

Re: OpenMW Daily Build PPA

Post by Amenophis » 07 Apr 2020, 17:57

The Daily is asking to remove OpenMW resources. Please, someone can have a look at?
My fixes and tweaks on vanilla and modded quests for Morrowind.
http://www.nexusmods.com/morrowind/mods/43107/?

User avatar
psi29a
Posts: 4798
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: OpenMW Daily Build PPA

Post by psi29a » 08 Apr 2020, 14:52

Can you post the exact message?

There have been changes recently to add support for a newer version of SDL2 that I also have posted. You can find that package in ppa:openmw/openmw

User avatar
Amenophis
Posts: 280
Joined: 30 Oct 2011, 04:34
Location: Fortaleza - Ceará - Brasil

Re: OpenMW Daily Build PPA

Post by Amenophis » 08 Apr 2020, 20:49

I registered both PPA (stable and daily) and I'm getting this when trying through the terminal.

Os pacotes a seguir têm dependências desencontradas:
openmw : Depende: libgcc-s1 (>= 3.0) mas não é instalável
openmw-launcher : Depende: libgcc-s1 (>= 3.0) mas não é instalável
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

My OS is Linux Mint 19.3 64bits.

I silenced the previous update that asks for uninstallation. Next time I can take a pic to show you.
My fixes and tweaks on vanilla and modded quests for Morrowind.
http://www.nexusmods.com/morrowind/mods/43107/?

User avatar
psi29a
Posts: 4798
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: OpenMW Daily Build PPA

Post by psi29a » 08 Apr 2020, 23:54

Thanks for bringing this to my attention. Here is the build log:
https://launchpadlibrarian.net/47350351 ... ING.txt.gz

It turns out that this last builds are automatically targeting against GCC 10 which is currently isn't available on Linux Mint 19.3
However... as a temporary work-around, you can add this PPA to solve it:
https://launchpad.net/~ubuntu-toolchain ... untu/test/

(libgcc-s1 is new as of gcc10, so this will take a bit to solve in a generic way. Dirty fix is to put a restriction on gcc to <= 9, good enough but no ideal. )

Update: we're not the only ones, there is an official bug being tracked by Debian about this (mint being ubuntu derived, also derived from debian)
https://bugs.debian.org/cgi-bin/bugrepo ... bug=946285

User avatar
Amenophis
Posts: 280
Joined: 30 Oct 2011, 04:34
Location: Fortaleza - Ceará - Brasil

Re: OpenMW Daily Build PPA

Post by Amenophis » 09 Apr 2020, 12:47

Thank you! The new PPA fixed all for now.
My fixes and tweaks on vanilla and modded quests for Morrowind.
http://www.nexusmods.com/morrowind/mods/43107/?

Autolycus
Posts: 3
Joined: 20 Apr 2020, 00:06

Re: OpenMW Daily Build PPA

Post by Autolycus » 20 Apr 2020, 00:24

I added the daily PPA a few weeks ago, and it was working fine. However, there was an update I applied today that has broken OpenMW. It removed the launcher, etc. and now I can't reinstall. Here's the log of when I tried to reinstall after removing and re-adding the daily PPA. This is on Kubuntu 19.10 64-bit.

$ sudo apt-get install openmw
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
openmw : Depends: libopenthreads21 (>= 3.6.5+dfsg1) but it is not installable
Recommends: openmw-launcher but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
$

I recently switched to linux, so I'm not sure how to fix this. Help please.

User avatar
psi29a
Posts: 4798
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: OpenMW Daily Build PPA

Post by psi29a » 20 Apr 2020, 10:50

jup..

you need to add ppa:openmw/openmw (where the official releases are) for all the new dependencies we've included: OSG 3.6.5 and SDL 2.0.10

Code: Select all

sudo add-apt-repository ppa:openmw/openmw

Autolycus
Posts: 3
Joined: 20 Apr 2020, 00:06

Re: OpenMW Daily Build PPA

Post by Autolycus » 20 Apr 2020, 10:57

psi29a wrote:
20 Apr 2020, 10:50
jup..

you need to add ppa:openmw/openmw (where the official releases are) for all the new dependencies we've included: OSG 3.6.5 and SDL 2.0.10

Code: Select all

sudo add-apt-repository ppa:openmw/openmw
Please forgive the newb question, but should I add the above ppa to the daily build ppa or should I replace the daily ppa with the above?

Thanks!

User avatar
psi29a
Posts: 4798
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: OpenMW Daily Build PPA

Post by psi29a » 20 Apr 2020, 11:22

Add both, as the dailies are made from dependencies in the main PPA.

People using the daily builds should always include the main PPA. Think of it as layers... If people want just the main releases, main is good enough, if they want latest builds.. then they ALSO need the daily PPA.

It saves space so we don't have to keep extra copies of files around.

Post Reply